Status: Closed Start date: 2008-06-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

It doesn't look like you can save a custom filter that uses a custom field.  While the save appears to work, the filter won't recognize

the custom field when you click the link.  If you attempt to edit the filter, the custom field isn't even available in the "add filter" box.

History

#1 - 2008-06-19 20:29 - Jean-Philippe Lang

Actually, queries with custom fields only work when inside a project but not on the cross-project issue list.

I'll try to fix it.

#2 - 2008-07-04 04:14 - Ewan Makepeace

+1

Just hit exactly the same bug. To illustrate we have added a custom field globally to all issues 'Sprint' with a list of defined values (June 08, July 08,

Aug 08 ect). Now across all projects I should quickly be able to pull up who has closed what for the current sprint ect.

Unfortunately as mentioned the filter seems to work the first time but then not save, and the custom field is then no longer available for selection.

#3 - 2008-08-10 03:41 - Mischa The Evil

I have just tested this with a fresh checkout at r1725 and this issue seems to be fixed.

Looking at the SVN-log it seems to me that the custom fields refactoring in r1592 has fixed this issue.

Can anyone else confirm this?

#4 - 2010-08-08 13:01 - Jean-Baptiste Barth

- Status changed from New to Closed

- Resolution set to Fixed

Confirmed, it's fixed for a loong time
